Table of Contents

## Name

XSetICFocus, XUnsetICFocus - set and unset input context focus

## Syntax

void XSetICFocus(XIC ic);
void XUnsetICFocus(XIC ic);

## Arguments

ic
  Specifies the input context.

## Description

The XSetICFocus function allows a client to notify an input method that the focus window attached to the specified input context has received keyboard focus. The input method should take action to provide appropriate feedback. Complete feedback specification is a matter of user interface policy.

Calling XSetICFocus does not affect the focus window value.

The XUnsetICFocus function allows a client to notify an input method that the specified input context has lost the keyboard focus and that no more input is expected on the focus window attached to that input context. The input method should take action to provide appropriate feedback. Complete feedback specification is a matter of user interface policy.

Calling XUnsetICFocus does not affect the focus window value; the client may still receive events from the input method that are directed to the focus window.

## See Also

XCreateIC(3X11) , XOpenIM(3X11) , XSetICValues(3X11) , XmbResetIC(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also